#### 9.2 Exercício Análise exploratória simultânea de duas variáveis
anexpl <- function(x, y, xlim = range(x), ylim = range(y))
{
  if(class(y) != "numeric")
  {
    stop("Variável não é um vetor numérico.")
  }else if(class(x) != "numeric")
  { stop("Variável não é um vetor numérico.")
  }else if(length(x) != length(y))
  {
    stop("Os vetores não possuem o mesmo tamanho.")
  }else
  {
    library(plotrix)
    X11() # windows
    quartz() # mac
    par(mfrow = c(2,2))
    multhist(list(x, y), col = c("red", "blue"), xlab = "Valores", ylab = "Frequência")
    legend("topright", c("x", "y"), col=c("red", "blue"), lwd=10)
    boxplot(x, y, col = c("red", "blue"), ylab = "Valores")
    legend("topright", c("x", "y"), col=c("red", "blue"), lwd=10)
    plot(y ~ x, col = "blue")
    qqnorm(y, col = "blue")
    par(mfrow=c(1,1))
    summaries <- c(summary(x), summary(y))
    return <- list(summaries[1:6], summaries[7:12], cor(x,y))
    names(return) <- c("Variável A", "Variável B", "Correlação entre as variáveis")
    return(return)
  }
}
